Summary:	GNU barcode
Summary(pl.UTF-8):	GNU barcode - narzędzie do kodów paskowych
Name:		barcode
Version:	0.99
Release:	1
License:	GPL v3+
Group:		Applications/Graphics
Source0:	http://ftp.gnu.org/gnu/barcode/%{name}-%{version}.tar.xz
# Source0-md5:	cdc504ee1020e27fbfeebcb0718de054
Patch0:		format-security.patch
Patch1:		%{name}-info.patch
Patch2:		%{name}-lib.patch
URL:		http://www.gnu.org/software/barcode/
BuildRequires:	autoconf >= 2.65
BuildRequires:	automake >= 1.5
BuildRequires:	gettext-tools >= 0.18
BuildRequires:	libpaper-devel
BuildRequires:	libtool >= 2:2
BuildRequires:	tar >= 1:1.22
BuildRequires:	texinfo
BuildRequires:	xz
Conflicts:	xscreensaver <= 1:4.16-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is GNU-barcode. The package is meant to solve most needs in
barcode creation with a conventional printer. It can create printouts
for the conventional product tagging standards: UPC-A, UPC-E, EAN-13,
EAN-8, ISBN, as well as a few other formats. Output is generated as
either Postscript or Encapsulated Postscript (other back-ends may be
added if needed).

%description -l pl.UTF-8
To jest GNU-barcode. Ten pakiet ma za zadanie zaspokoić większość
potrzeb związanych z drukowaniem kodów paskowych na konwencjonalnej
drukarce. Może tworzyć wydruki kodów w standardach: UPC-A, UPC-E,
EAN-13, EAN-8, ISBN, a także kilku innych. Dane wyjściowe są
generowane w formacie Postscript lub Encapsulated Postscript (w razie
potrzeby mogą być dodane inne backendy).

%package devel
Summary:	GNU barcode files for development
Summary(pl.UTF-8):	Pliki do programowania z użyciem GNU barcode
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This is GNU-barcode. The package is meant to solve most needs in
barcode creation with a conventional printer. It can create printouts
for the conventional product tagging standards: UPC-A, UPC-E, EAN-13,
EAN-8, ISBN, as well as a few other formats. Ouput is generated as
either Postscript or Encapsulated Postscript (other back-ends may be
added if needed).

This subpackage contains the C header file for developing programs
that use GNU barcode.

%description devel -l pl.UTF-8
To jest GNU-barcode. Ten pakiet ma za zadanie zaspokoić większość
potrzeb związanych z drukowaniem kodów paskowych na konwencjonalnej
drukarce. Może tworzyć wydruki kodów w standardach: UPC-A, UPC-E,
EAN-13, EAN-8, ISBN, a także kilku innych. Dane wyjściowe są
generowane w formacie Postscript lub Encapsulated Postscript (w razie
potrzeby mogą być dodane inne backendy).

Ten podpakiet zawiera plik nagłówkowy języka C do tworzenia programów
używających GNU barcode.

%package static
Summary:	GNU barcode static library
Summary(pl.UTF-8):	Biblioteka statyczna GNU barcode
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
GNU barcode static library.

%description static -l pl.UTF-8
Biblioteka statyczna GNU barcode.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
/sbin/ldconfig
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
/sbin/ldconfig
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/barcode
%attr(755,root,root) %{_libdir}/libbarcode.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libbarcode.so.0
%{_infodir}/barcode.info*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libbarcode.so
%{_libdir}/libbarcode.la
%{_includedir}/barcode.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libbarcode.a
%changelog
* Mon Jul 31 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/barcode.git;a=log;h=master

* Sun Jul 30 2017 Jakub Bogusz <qboosh@pld-linux.org> cc067b8
- updated to 0.99
- removed obsolete DESTDIR patch
- added info patch (add direntry to texinfo file)
- added lib patch (restore installing library, now shared one)

* Sun Apr 05 2015 Jan Rękorajski <baggins@pld-linux.org> e6af013
- fix format string error
- rel 5

* Wed Jun 01 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 0ba8386
- updated Source0 and URL addresses
- more verbose files

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> a460080
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> a86d357
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0fcee43
- converted to UTF-8

* Tue Jul 13 2004 ankry <ankry@pld-linux.org> 1f1a83e
- C: xscreensaver, rel. 4

* Mon Apr 26 2004 Adam Gołębiowski <adamg@pld-linux.org> 05b88d2
- release 3 for Ac (2 is for Ra)

* Sun Mar 07 2004 ankry <ankry@pld-linux.org> 7637e86
- en spelling

* Wed Aug 06 2003 kloczek <kloczek@pld-linux.org> ec4660e
- może wrescie ktoś wykasuje to konto ?

* Mon May 26 2003 Michal Moskal <michal@moskal.me> d22e1a0
- massive attack: adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 7b096e9
- massive attack s/pld.org.pl/pld-linux.org/

* Thu Feb 06 2003 migo <migo@pld-linux.org> ac26525
- random fixes in descriptions

* Wed Oct 09 2002 kloczek <kloczek@pld-linux.org> a01d37d
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

* Sun Aug 11 2002 Jakub Bogusz <qboosh@pld-linux.org> 169186b
- added pl description, regenerate info directory in post/postun
- release 2

* Tue Aug 06 2002 kloczek <kloczek@pld-linux.org> 0461710
- added DESTDIR patch,
- cleanups.

* Tue Aug 06 2002 kloczek <kloczek@pld-linux.org> 4320c7f
- DESTDIR install style patch.

* Tue Aug 06 2002 hunter <hunter@pld-linux.org> 8ec2b9a
- - spec from tgz, adapterized.

